MirrorBatch
Geometry Transforms

Mirrors batches of images horizontally, vertically or diagonally. More...

## Data Structures

struct | NppiMirrorBatchCXR

## Functions

NppStatus | nppiMirrorBatch_32f_C1R_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 1 channel 32-bit float image mirror batch. More...
NppStatus | nppiMirrorBatch_32f_C1R (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_C1IR_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 1 channel 32-bit float in place image mirror batch. More...
NppStatus | nppiMirrorBatch_32f_C1IR (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_C3R_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 3 channel 32-bit float image mirror batch. More...
NppStatus | nppiMirrorBatch_32f_C3R (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_C3IR_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 3 channel 32-bit float in place image mirror batch. More...
NppStatus | nppiMirrorBatch_32f_C3IR (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_C4R_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float image mirror batch. More...
NppStatus | nppiMirrorBatch_32f_C4R (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_C4IR_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float in place image mirror batch. More...
NppStatus | nppiMirrorBatch_32f_C4IR (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_AC4R_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float image mirror batch not affecting alpha. More...
NppStatus | nppiMirrorBatch_32f_AC4R (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)
NppStatus | nppiMirrorBatch_32f_AC4IR_Ctx (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float in place image mirror batch not affecting alpha. More...
NppStatus | nppiMirrorBatch_32f_AC4IR (NppiSize oSizeROI, NppiAxis flip, NppiMirrorBatchCXR *pBatchList, int nBatchSize)

## Detailed Description

Mirrors batches of images horizontally, vertically or diagonally.

MirrorBatch generally takes the same parameter list as Mirror except that there is a list of N instances of those parameters (N > 1) and that list is passed in device memory. A convenient data structure is provided that allows for easy initialization of the parameter lists. The only restriction on these functions is that there is one single ROI and a single mirror flag which are applied respectively to each image in the batch. The primary purpose of this function is to provide improved performance for batches of smaller images as long as GPU resources are available. Therefore it is recommended that the function not be used for very large images as there may not be resources available for processing several large images simultaneously.

### Common parameters for nppiMirrorBatch non-inplace and inplace functions include:

Parameters

  oSizeROI | Region-of-Interest (ROI).
  flip | Specifies the axis about which the images are to be mirrored.
  pBatchList | Device memory pointer to nBatchSize list of NppiMirrorBatchCXR structures.
  nBatchSize | Number of NppiMirrorBatchCXR structures in this call (must be > 1).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Mirror Error Codes

## Function Documentation

NppStatus nppiMirrorBatch_32f_AC4IR | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_AC4IR_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float in place image mirror batch not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_AC4R | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float image mirror batch not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_C1IR | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_C1IR_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit float in place image mirror batch.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_C1R | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit float image mirror batch.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_C3IR | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_C3IR_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit float in place image mirror batch.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_C3R | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit float image mirror batch.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_C4IR | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_C4IR_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float in place image mirror batch.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

NppStatus nppiMirrorBatch_32f_C4R | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize
| ) |  |

NppStatus nppiMirrorBatch_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiAxis | flip,
|  | NppiMirrorBatchCXR * | pBatchList,
|  | int | nBatchSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float image mirror batch.

For common parameter descriptions, see Common parameters for nppiMirrorBatch functions.

Copyright © 2009-2018 NVIDIA Corporation